# Interface TranscludeFunctionObject

Represents advanced transclusion functions used in directives.

interface TranscludeFunctionObject {
isSlotFilled(slotName: string): boolean;
transcludeWithoutScope(
cloneAttachFn?: CloneAttachFunction,
element?: Element,
slotName?: string,
): Element;
transcludeWithScope(
scope: Scope,
cloneAttachFn: CloneAttachFunction,
element?: Element,
slotName?: string,
): Element;
}

##### Index

### Methods

isSlotFilled
transcludeWithoutScope
transcludeWithScope

## Methods

### isSlotFilled

- isSlotFilled(slotName: string): boolean

  Checks if a named slot is filled

  #### Parameters

  - slotName: string

  #### Returns boolean

### transcludeWithoutScope

- transcludeWithoutScope(
  cloneAttachFn?: CloneAttachFunction,
  element?: Element,
  slotName?: string,
  ): Element

  Transcludes content without creating a new scope

  #### Parameters

  - `Optional` cloneAttachFn: CloneAttachFunction
  - `Optional` element: Element
  - `Optional` slotName: string

  #### Returns Element

### transcludeWithScope

- transcludeWithScope(
  scope: Scope,
  cloneAttachFn: CloneAttachFunction,
  element?: Element,
  slotName?: string,
  ): Element

  Transcludes content with a new scope

  #### Parameters

  - scope: Scope
  - cloneAttachFn: CloneAttachFunction
  - `Optional` element: Element
  - `Optional` slotName: string

  #### Returns Element